Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.resource.metadata.ext
Class WsrfMetadataExchange

    java.lang.Object
      org.apache.muse.core.AbstractCapability
          org.apache.muse.ws.metadata.impl.SimpleMetadataExchange
              org.apache.muse.ws.resource.metadata.ext.WsrfMetadataExchange

All Implemented Interfaces:
  Capability, Initialization, InitializationParameters, MetadataExchange, Shutdown

public class WsrfMetadataExchange
extends SimpleMetadataExchange

WsrfMetadataExchange is an extension of the default WS-MEx implementation, SimpleMetadataExchange, which supports the WS0RF WS-ResourceMetadataDescriptor dialect. Calls to getMetadata() that use the WS-RMD namespace as the dialect will get the resource's metadata descriptor XML in response.

Author:
  Dan Jemiolo (danj)
See Also:
  `WsrmdConstants.NAMESPACE_URI`

Constructor Summary
`WsrfMetadataExchange()`

Method Summary
`org.w3c.dom.Element[]` | `getMetadata(java.lang.String dialect)` Returns the XML fragments (sometimes a whole document) that describes the desired metadata.

Methods inherited from class org.apache.muse.ws.metadata.impl.SimpleMetadataExchange
`createGetMetadataHandler, getWSDL, initialize`

Methods inherited from class org.apache.muse.core.AbstractCapability
`getActions, getCapabilityURI, getEnvironment, getInitializationParameter, getInitializationParameters, getLog, getMessageHandler, getPersistence, getResource, hasBeenInitialized, hasBeenShutdown, initializeCompleted, prepareShutdown, setCapabilityURI, setEnvironment, setInitializationParameters, setLog, setMessageHandler, setMessageHandlers, setPersistence, setResource, shutdown`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.muse.core.Capability
`getActions, getCapabilityURI, getEnvironment, getLog, getMessageHandler, getPersistence, getResource, initializeCompleted, prepareShutdown, setCapabilityURI, setEnvironment, setLog, setMessageHandlers, setPersistence, setResource`

Methods inherited from interface org.apache.muse.core.Initialization
`hasBeenInitialized`

Methods inherited from interface org.apache.muse.core.InitializationParameters
`getInitializationParameter, getInitializationParameters, setInitializationParameters`

Methods inherited from interface org.apache.muse.core.Shutdown
`hasBeenShutdown, shutdown`

Constructor Detail

### WsrfMetadataExchange

    public WsrfMetadataExchange()

Method Detail

### getMetadata

    public org.w3c.dom.Element[] getMetadata(java.lang.String dialect)

  Description copied from interface: `MetadataExchange`
  Returns the XML fragments (sometimes a whole document) that describes the desired metadata.

  Specified by:
    `getMetadata` in interface `MetadataExchange`
  Overrides:
    `getMetadata` in class `SimpleMetadataExchange`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD